Show / Hide Table of Contents

# Class Framework

This class represents the Framework of the native game client and grants access to various subsystems.

##### Inheritance

System.Object
Framework

##### Implements

System.IDisposable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class Framework : IDisposable

### Properties

| Improve this Doc View Source

#### Address

Gets a raw pointer to the instance of Client::Framework.

##### Declaration

    public FrameworkAddressResolver Address { get; }

##### Property Value

Type | Description
--- | ---
Dalamud.Game.FrameworkAddressResolver |

| Improve this Doc View Source

#### LastUpdate

Gets the last time that the Framework Update event was triggered.

##### Declaration

    public DateTime LastUpdate { get; }

##### Property Value

Type | Description
--- | ---
System.DateTime |

| Improve this Doc View Source

#### LastUpdateUTC

Gets the last time in UTC that the Framework Update event was triggered.

##### Declaration

    public DateTime LastUpdateUTC { get; }

##### Property Value

Type | Description
--- | ---
System.DateTime |

| Improve this Doc View Source

#### StatsEnabled

Gets or sets a value indicating whether the collection of stats is enabled.

##### Declaration

    public static bool StatsEnabled { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### StatsHistory

Gets the stats history mapping.

##### Declaration

    public static Dictionary<string, List<double>> StatsHistory { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.Dictionary<System.String, System.Collections.Generic.List<System.Double>> |

| Improve this Doc View Source

#### UpdateDelta

Gets the delta between the last Framework Update and the currently executing one.

##### Declaration

    public TimeSpan UpdateDelta { get; }

##### Property Value

Type | Description
--- | ---
System.TimeSpan |

### Methods

| Improve this Doc View Source

#### Dispose()

Dispose of managed and unmanaged resources.

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Enable()

Enable this module.

##### Declaration

    public void Enable()

### Events

| Improve this Doc View Source

#### Update

Event that gets fired every time the game framework updates.

##### Declaration

    public event Framework.OnUpdateDelegate Update

##### Event Type

Type | Description
--- | ---
Framework.OnUpdateDelegate |

### Implements

System.IDisposable